-----------------------------------------------------------------------------
-- Module API
-----------------------------------------------------------------------------


	addhook("minute","minute_hook")
	addhook("join","join_hook")


-------------------------------------------------------------------------------
-- Hooks
-------------------------------------------------------------------------------

function join_hook(id)
	minute_hook(id)
end
	
function minute_hook(id)
	if not id then
		for id=1,32 do
			autovip(id)
			autovipsteam(id)
		end
	else
		autovip(id)
		autovipsteam(id)
	end
end

-------------------------------------------------------------------------------
-- Internal functions
-------------------------------------------------------------------------------

function rank_get(usgn)
	if stats(usgn,"exists") then
		return stats(usgn,"rank")
	else
		return math.huge 
	end
end

function autovip(id)
	if player(id,"exists") and player(id,"usgn") ~= 0 and hc.get_level(id) == hc.USER then
		if stats(player(id,"usgn"),"secs") >= 4*60*60 then
			hc.init_users()
			hc.users[player(id,"usgn")] = { name = player(id,"name"), level = hc.VIP }
			hc.save_users()
		    hc.event(id, "Your User level is now "..hc.YELLOW.."VIP.")
		end
	end
end
function autovipsteam(id)
  if player(id,"exists") and player(id,"steamid") ~= "0" and hc.get_level(id) == hc.USER then
    if steamstats(player(id,"steamid"),"secs") >= 4*60*60 then
      hc.init_users()
      hc.users[player(id,"steamid")] = { name = player(id,"name"), level = hc.VIP }
      hc.save_users()
      hc.event(id, "Your User level is now "..hc.YELLOW.."VIP.")
    end
  end
end
function name_to_id(name)
	for id = 1,32 do
		if player(id,"name") == name then
			return id
		end
	end
	return 0
end
